# Created by pyp2rpm-3.3.8
%define pypi_name qpageview

Name:           python-%{pypi_name}
Version:        0.6.2
Release:        %mkrel 3
Summary:        Widget to display page-based documents for Qt5/PyQt5
Group:          Development/Python
License:        GPLv3+ AND GPLv2+
# https://github.com/frescobaldi/qpageview
URL:            https://qpageview.org/
Source0:        %{pypi_source %pypi_name}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3-qt5-devel
BuildRequires:  python3-docs

%description
The qpageview module provides a page based document viewer widget
for Qt5/PyQt5.
It has a flexible architecture potentionally supporting many
formats. Currently, it supports SVG documents, images, and,
using the Poppler-Qt5 binding, PDF documents.

%package -n     python3-%{pypi_name}
Summary:        Widget to display page-based documents for Qt5/PyQt5
Group:          Development/Python
Provides:       %{pypi_name} = %{version}-%{release}
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-printsupport
Requires:       python3-qt5-svg
Requires:       python3-qt5-widgets
Requires:       python3-poppler-qt5

%description -n python3-%{pypi_name}
The qpageview module provides a page based document viewer widget
for Qt5/PyQt5.
It has a flexible architecture potentionally supporting many
formats. Currently, it supports SVG documents, images, and,
using the Poppler-Qt5 binding, PDF documents.

%prep
%autosetup -n %{pypi_name}-%{version}

# Use local objects.inv for intersphinx
sed -e "s|\('https://docs\.python\.org/3', \)None|\1'%{_docdir}/python3-docs/html/objects.inv'|" \
  -i docs/source/conf.py

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files qpageview

%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html README.rst
%license LICENSE docs/source/license.rst


%changelog
* Mon Mar 03 2025 wally <wally> 0.6.2-3.mga10
+ Revision: 2159921
- rebuild for python3.13

* Thu Dec 28 2023 daviddavid <daviddavid> 0.6.2-2.mga10
+ Revision: 2022799
- rebuild for py3.12

* Tue Jan 03 2023 daviddavid <daviddavid> 0.6.2-1.mga9
+ Revision: 1929659
- initial package python-qpageview (needed for frescobaldi mga#31357)

